Clientlinker-flow-debugger
==========================

[![NPM Version][npm-image]][npm-url]
[![NPM Downloads][downloads-image]][npm-url]
[![NPM License][license-image]][npm-url]
[![Install Size][install-size-image]][install-size-url]


# Install

Install `clientlinker` pkg

```shell
npm i clientlinker --save
```

Install flow pkg

```shell
npm i clientlinker-flow-debugger --save
```


# Usage

```javascript
var clientlinker = require('clientlinker');
var linker = clientlinker({
  flows: ['debugger', 'confighandler'],
  clients: {
    client: {
      debuggerRuntime: true,
      confighandler: {
        clientHanlder: function(query, body, callback, options)
        {
          return Promise.resolve({result: {}});
        },
      }
    }
  }
});

linker.flow('debugger', require('clientlinker-flow-debugger'));
linker.flow('confighandler', require('clientlinker-flow-confighandler'));

// use
linker.run('client.clientHanlder', null, {id: 13})
  // return runtime instead of data
  .then(function(runtime){});
```


[npm-image]: https://img.shields.io/npm/v/clientlinker-flow-debugger.svg
[downloads-image]: https://img.shields.io/npm/dm/clientlinker-flow-debugger.svg
[npm-url]: https://www.npmjs.org/package/clientlinker-flow-debugger
[license-image]: https://img.shields.io/npm/l/clientlinker-flow-debugger.svg
[install-size-url]: https://packagephobia.now.sh/result?p=clientlinker-flow-debugger
[install-size-image]: https://packagephobia.now.sh/badge?p=clientlinker-flow-debugger
